Issue 106930

Summary: Copy & Paste from website crashes OOo Writer 3.2
Product: Writer Reporter: jbf.faure
Component: codeAssignee: eric.savary
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P2 CC: eric.savary, issues, Joost.Andrae, mst.ooo, orw
Version: OOO320m4Keywords: crash, regression
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 99999    

Description jbf.faure 2009-11-15 09:27:11 UTC
Same problem as issue 105887 but in OOO320_m4 under Ubuntu 8.04 :

Steps to reproduce :
- Open this url in your browser :
http://www.linternaute.com/histoire/jour/6/10/a/1/0/1/index.shtml
- Select and copy (crl+C) the central part of this page
- Open a new writer document in OOO320_m4
- Paste using ctrl+V
=> crash, no crash report when I reopen OOO320_m4

- Open a new writer document in vanilla OOo 3.1.1
- Paste using ctrl+V
- no crash, you can save the text doc (see attached file)
- close the file, no problem to reopen it with OOO320_m4

Remark : you can see that some part of the web page is interpreted as comments
when pasted by OOo.

Regards
JBF
Comment 1 gleppert 2009-11-15 13:04:18 UTC
Problem is reproducible here under Ubuntu 9.04 and Openoffice.org 3.20 m2.
After pasting the text of the website, the entire Openoffice.org immediately
crashes.
Comment 2 eric.savary 2009-11-16 09:50:30 UTC
@OD: reproduced on Vista using IE7 and FF 3.0.15

In the given URL above, just select the first line of the first paragraph:

"6 octobre
Le Moulin Rouge ouvre ses portes"

which corresponds to the HTML code:
-------------------------------
<br> 
			</td>	
  <td valign="top"><a href="/histoire/recherche/jour/6/10/a/1/0/1/index.shtml"
style="text-decoration: none;"><font color="#999999"><em><strong>6
octobre</strong></em></font></a><br>
                <strong><a
href="/histoire/jour/evenement/6/10/1/a/51623/le_moulin_rouge_ouvre_ses_portes.shtml"><h2>Le
Moulin Rouge ouvre ses portes</h2></a></strong>
-------------------------------

-> OOo 320m4 crashes. 3.1.1 doesn't.

Showstopper 3.2?
Comment 3 Joost Andrae 2009-11-16 10:04:59 UTC
reproducible on Solaris x86 (OOO320_m4)
Comment 4 Oliver-Rainer Wittmann 2009-11-16 10:25:35 UTC
OD->MST: Take over as discussed.
Comment 5 Oliver-Rainer Wittmann 2009-11-16 10:31:21 UTC
broken in DEV300m59
Comment 6 Oliver-Rainer Wittmann 2009-11-16 10:35:54 UTC
This is a show stopper from my point of view.
Comment 7 mst.ooo 2009-11-16 12:43:40 UTC
fixed in CWS sw32bf07 (revision 277514).
Comment 8 mst.ooo 2009-11-17 15:37:52 UTC
please verify
Comment 9 eric.savary 2009-11-18 12:55:34 UTC
Verified in cws sw32bf07
Comment 10 zenshaolin 2009-12-10 20:17:13 UTC
Same issue here => http://www.openoffice.org/issues/show_bug.cgi?id=105887